Subject: bug#15155: 24.3; wrap-prefix in adaptive-wrap-prefix-mode with variable-pitch has wrong face

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Aug 2013 19:03:50 +0300

> Date: Thu, 22 Aug 2013 17:26:50 +0200
> From: Frank Fischer <[email-masked]>
> CC: Frank Fischer <[email-masked]>, 
>  [email-masked], [email-masked]
> 
> > How about using the face returned by face-at-point, instead of
> > 'default'?
> 
> I'm not sure. In my tests (adding several % comment marker before a line
> in a LaTeX document) I got strange results. Sometimes the wrap prefix
> had the correct color, sometimes not. But in no case it had the correct
> (variable-width) font. I used the following code (of course the correct
> name of the variable is `adaptive-fill-regexp` not `adaptive-fill-prefix`):
> 
> (setq adaptive-fill-function
>   (lambda ()
>     (and adaptive-fill-regexp
>          (looking-at adaptive-fill-regexp)
>          (propertize (match-string-no-properties 0) 'face
> 		     (face-at-point)))))

Perhaps you are calling face-at-point at the wrong buffer position.